org.apache.tinkerpop.gremlin.structure.io

## Class IoCore

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.IoCore

-     public final class IoCore
      extends Object

  Constructs the core `Io.Builder` implementations enabling a bit of shorthand syntax by importing these methods statically.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Io.Builder` | `createIoBuilder(String graphFormat)`
    `static Io.Builder<org.apache.tinkerpop.gremlin.structure.io.graphml.GraphMLIo>` | `graphml()` Creates a basic GraphML-based `Io.Builder`.
    `static Io.Builder<org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONIo>` | `graphson()` Creates a basic GraphSON-based `Io.Builder`.
    `static Io.Builder<org.apache.tinkerpop.gremlin.structure.io.gryo.GryoIo>` | `gryo()` Creates a basic Gryo-based `Io.Builder`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### graphml

          public static Io.Builder<org.apache.tinkerpop.gremlin.structure.io.graphml.GraphMLIo> graphml()

      Creates a basic GraphML-based `Io.Builder`.

    - #### graphson

          public static Io.Builder<org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONIo> graphson()

      Creates a basic GraphSON-based `Io.Builder`.

    - #### gryo

          public static Io.Builder<org.apache.tinkerpop.gremlin.structure.io.gryo.GryoIo> gryo()

      Creates a basic Gryo-based `Io.Builder`.

    - #### createIoBuilder

          public static Io.Builder createIoBuilder(String graphFormat)
                                            throws ClassNotFoundException,
                                                   IllegalAccessException,
                                                   InstantiationException

      Throws:
        `ClassNotFoundException`
        `IllegalAccessException`
        `InstantiationException`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.